Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.view.facelets.html
Class ParameterHandler

    java.lang.Object
      javax.faces.view.facelets.TagHandler
          javax.faces.view.facelets.MetaTagHandler
              javax.faces.view.facelets.DelegatingMetaTagHandler
                  javax.faces.view.facelets.ComponentHandler
                      org.richfaces.view.facelets.html.ParameterHandler

All Implemented Interfaces:
  javax.faces.view.facelets.FaceletHandler

    public class ParameterHandler

extends javax.faces.view.facelets.ComponentHandler

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/02/01 15:31:23 $
Author:
  shura (latest modification by $Author: alexsmirnov $)

Nested Class Summary
`static class` | `ParameterHandler.ActionParamMetaRule`

Field Summary

Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`delegateFactory`

Fields inherited from class javax.faces.view.facelets.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ParameterHandler(javax.faces.view.facelets.ComponentConfig config)`

Method Summary
`protected javax.faces.view.facelets.MetaRuleset` | `createMetaRuleset(Class type)`
`void` | `onComponentCreated(javax.faces.view.facelets.FaceletContext ctx, javax.faces.component.UIComponent c, javax.faces.component.UIComponent parent)`

Methods inherited from class javax.faces.view.facelets.ComponentHandler
`getComponentConfig, getTagHandlerDelegate, isNew, onComponentPopulated`

Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler
`apply, applyNextHandler, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

Methods inherited from class javax.faces.view.facelets.TagHandler
`getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterHandler

    public ParameterHandler(javax.faces.view.facelets.ComponentConfig config)

Parameters:
  `config` -

Method Detail

### onComponentCreated

    public void onComponentCreated(javax.faces.view.facelets.FaceletContext ctx,
                                   javax.faces.component.UIComponent c,
                                   javax.faces.component.UIComponent parent)

  Overrides:
    `onComponentCreated` in class `javax.faces.view.facelets.ComponentHandler`

### createMetaRuleset

    protected javax.faces.view.facelets.MetaRuleset createMetaRuleset(Class type)

  Overrides:
    `createMetaRuleset` in class `javax.faces.view.facelets.DelegatingMetaTagHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.